OpenTTD

Public Member Functions
TCPClientConnecter Class Reference

Non blocking connection create to actually connect to servers. More...

Inheritance diagram for TCPClientConnecter:

## Public Member Functions
| TCPClientConnecter (const NetworkAddress &address)
virtual void | OnFailure ()
| Callback for when the connection attempt failed.
virtual void | OnConnect (SOCKET s)
| Callback when the connection succeeded. More...

## Additional Inherited Members
Private Member Functions inherited from TCPConnecter
| TCPConnecter (const NetworkAddress &address)
| Create a new connecter for the given address. More...
virtual | ~TCPConnecter ()
| Silence the warnings.
Static Private Member Functions inherited from TCPConnecter
static void | CheckCallbacks ()
| Check whether we need to call the callback, i.e. More...
static void | KillAll ()
| Kill all connection attempts. More...
Private Attributes inherited from TCPConnecter
NetworkAddress | address
| Address we're connecting to.

## Detailed Description

Non blocking connection create to actually connect to servers.

Definition at line 660 of file network.cpp.

## Member Function Documentation

## ◆ OnConnect()

virtual void TCPClientConnecter::OnConnect | ( | SOCKET | s | ) |
| inline virtual

Callback when the connection succeeded.

Parameters

  s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 669 of file network.cpp.

References IConsoleCmdExec(), and NetworkClient_Connected().

The documentation for this class was generated from the following file:

- src/network/network.cpp